Subject: Offline Message from Mark: I bought a original swag cycle in 2017 and the bat
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 25 Sep 2022 18:24:59 -0000

From: Mark <[email-masked]>
Phone: 4356954924
Location: Brigham City, United States
URL: https://swagtron.com/news/which-are-the-best-ebikes-to-buy/
Department: SwagTron

I bought a original swag cycle in 2017 and the battery finally is not as long-lasting as it used to be it charges fast but it deteriorates fast.

Will a swag cycle pro battery work as a replacement... It's been a great little device but it would be nice if it had a 500 watt motor instead of a 250... I understand the pros come with a 350 watt motor? If this could be built with a 12-in rear wheel with a 14-in front wheel...
Now that would be a commuter special.
350 watt 500 w options...

Well how can a person get a replacement battery for an original classic swag cycle?
Well it would be perfect if you could just flip in a pro battery pack which is just a little bit larger as I understand it but how can you order either one. You got some links to them or do I just have to tear this apart and buy a battery pack from Amazon to try to make it fit. I'm pretty handy with electronics and machinery and such I could do that but just wondered if you folks had a direct replacement that I could pop in there? Thank you

----
Zopim
https://www.zopim.com